import sqlalchemy as sa
from efa.model.resultindicators import ResultIndicators
from formbar.form import Form
from ringo.model import Base
from ringo.lib.form import get_form_config


    
class ECResultIndicators(ResultIndicators):
    participation = sa.orm.relation(
        "Participation",
        enable_typechecks=False,
        backref=sa.orm.backref("ecri",
                                uselist=False,
                                cascade="all"))

    reason_for_cancel = sa.Column('reason_for_cancel', sa.Integer)
    reason_for_cancel_else_reason = sa.Column(
        'reason_for_cancel_else_reason', sa.String)
    ec_new_qualification_ec = sa.Column('ec_new_qualification_ec',
        sa.Integer)
    ec_course_change = sa.Column('ec_course_change', sa.Integer)
    ec_new_course_number = sa.Column('ec_new_course_number',
        sa.String)
